## libparserutils 0.0.1

=== Makefile ===
# Component settings
COMPONENT := parserutils
COMPONENT_VERSION := 0.0.1
# Default to a static library
COMPONENT_TYPE ?= lib-static

# Setup the tooling
include build/makefiles/Makefile.tools

TESTRUNNER := $(PERL) build/testtools/testrunner.pl

# Toolchain flags
WARNFLAGS := -Wall -Wundef -Wpointer-arith -Wcast-align \
	-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations -Wnested-externs -Werror -pedantic
ifneq ($(GCCVER),2)
  WARNFLAGS := $(WARNFLAGS) -Wextra
endif

CFLAGS := $(CFLAGS) -D_BSD_SOURCE -I$(CURDIR)/include/ \
	-I$(CURDIR)/src $(WARNFLAGS) 
ifneq ($(GCCVER),2)
  CFLAGS := $(CFLAGS) -std=c99
else
  # __inline__ is a GCCism
  CFLAGS := $(CFLAGS) -Dinline="__inline__"
endif

include build/makefiles/Makefile.top

# Extra installation rules
Is := include/parserutils
I := /include/parserutils
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):$(Is)/errors.h;$(Is)/functypes.h;$(Is)/parserutils.h;$(Is)/types.h

Is := include/parserutils/charset
I := /include/parserutils/charset
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):$(Is)/codec.h;$(Is)/mibenum.h;$(Is)/utf16.h;$(Is)/utf8.h

Is := include/parserutils/input
I := /include/parserutils/input
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):$(Is)/inputstream.h

Is := include/parserutils/utils
I := /include/parserutils/utils
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):$(Is)/buffer.h;$(Is)/stack.h;$(Is)/vector.h

INSTALL_ITEMS := $(INSTALL_ITEMS) /lib/pkgconfig:lib$(COMPONENT).pc.in
INSTALL_ITEMS := $(INSTALL_ITEMS) /lib:$(OUTPUT)

=== src/Makefile ===
# Sources
DIR_SOURCES := parserutils.c

include build/makefiles/Makefile.subdir

=== test/Makefile ===
# Tests
DIR_TEST_ITEMS := aliases:aliases.c cscodec-8859:cscodec-8859.c \
	cscodec-ext8:cscodec-ext8.c cscodec-utf8:cscodec-utf8.c \
	cscodec-utf16:cscodec-utf16.c charset:charset.c filter:filter.c \
	inputstream:inputstream.c parserutils:parserutils.c

include build/makefiles/Makefile.subdir

=== src/charset/Makefile ===
# Sources
DIR_SOURCES := aliases.c charset.c codec.c

include build/makefiles/Makefile.subdir

=== test/regression/Makefile ===
# Tests
DIR_TEST_ITEMS := cscodec-segv:cscodec-segv.c filter-segv:filter-segv.c \
	stream-nomem:stream-nomem.c filter-badenc-segv:filter-badenc-segv.c

CFLAGS := $(CFLAGS) -I$(CURDIR)/test

include build/makefiles/Makefile.subdir

=== debian/changelog ===
libparserutils (0.0.1-1ubuntu1) oneiric; urgency=low

  * debian/source/format:
   - Switch to 3.0 (quilt).
  * debian/patches:
   - 01-remove-used-variable.patch: Remove unused variables to fix FTBFS
     (LP: #831077).

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 14 Sep 2011 00:01:54 +0200

libparserutils (0.0.1-1) unstable; urgency=low

  * Initial release

 -- Daniel Silverstone <dsilvers@debian.org>  Mon, 20 Jul 2009 12:59:27 +0200

=== debian/control ===
Source: libparserutils
Section: libs
Priority: optional
Maintainer: Debian/Ubuntu NetSurf Package Team <deb@netsurf-browser.org>
Uploaders: Daniel Silverstone <dsilvers@debian.org>, Vincent Sanders <vince@debian.org>
Standards-Version: 3.8.2.0
Build-Depends: debhelper (>= 7)

Package: libparserutils0
Architecture: any
Depends: ${shlibs:Depends}
Description: A utility library for parser building
 LibParserUtils provides various pieces of functionality that are useful
 when writing parsers. These are:
 .
 + A number of character set convertors
 + Mapping of character set names to/from MIB enum values
 + UTF-8 and UTF-16 (host endian) support functions
 + Various simple data structures (resizable buffer, stack, vector)
 + A UTF-8 input stream

Package: libparserutils0-dev
Architecture: any
Provides: libparserutils-dev
Conflicts: libparserutils-dev
Depends: libparserutils0 (= ${binary:Version})
Section: libdevel
Description: A utility library for parser building - Development files
 LibParserUtils provides various pieces of functionality that are useful
 when writing parsers. These are:
 .
 + A number of character set convertors
 + Mapping of character set names to/from MIB enum values
 + UTF-8 and UTF-16 (host endian) support functions
 + Various simple data structures (resizable buffer, stack, vector)
 + A UTF-8 input stream
 .
 This package includes the headers and symlinks needed to build software
 against libparserutils.

Package: libparserutils0-dbg
Architecture: any
Depends: libparserutils0 (= ${binary:Version})
Priority: extra
Section: debug
Description: A utility library for parser building - Debug symbols
 LibParserUtils provides various pieces of functionality that are useful
 when writing parsers. These are:
 .
 + A number of character set convertors
 + Mapping of character set names to/from MIB enum values
 + UTF-8 and UTF-16 (host endian) support functions
 + Various simple data structures (resizable buffer, stack, vector)
 + A UTF-8 input stream
 .
 This package provides the debugging symbols for libparserutils0.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) COMPONENT_TYPE=lib-shared PREFIX=/usr
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) COMPONENT_TYPE=lib-shared clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) COMPONENT_TYPE=lib-shared DESTDIR=$$(pwd)/debian/tmp PREFIX=/usr install

binary-indep:

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_install -a
	dh_strip -a --dbg-package=libparserutils0-dbg
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_compress -a
	dh_fixperms -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.netsurf-browser.org/projects/libparserutils/ \
    \.\./releases/libparserutils-([\d\.]*)-src.tar.gz
